﻿using System;
using UnityEngine;

public class KeyBinding
{
    private KeyCode[] key = { KeyCode.None, KeyCode.None, KeyCode.None };
    
    public string toString() 
    { 
        return (key[0] != KeyCode.None ? key[0].ToString() : "") + (key[1] != KeyCode.None ? " " + key[1].ToString() : "") + (key[2] != KeyCode.None ? " " + key[2].ToString() : ""); 
    }
    
    public KeyBinding(KeyCode key1, KeyCode key2, KeyCode key3)
    { 
        key[0] = key1; key[1] = key2; key[2] = key3; 
    }
   
    public KeyBinding(string str)
    {
        char[] delimiterChars = { ' ', '\t' };
        string[] substr = str.Trim().Split(delimiterChars);
        int stop = Math.Min(key.Length, substr.Length);
        for (int i = 0; i < stop; ++i)
            if (System.Enum.IsDefined(typeof(KeyCode), substr[i].Trim()))
                key[i] = (KeyCode)System.Enum.Parse(typeof(KeyCode), substr[i]);
    }
   
    public bool isPressed()
    {
        if (key[0] == KeyCode.None)
            return false;
        for (int i = 0; i < 3; ++i)
            if (key[i] != KeyCode.None)
                if (i == 2 || key[i + 1] == KeyCode.None)
                {
                    if (!Input.GetKeyDown(key[i]))
                        return false;
                }
                else
                {
                    if (!Input.GetKey(key[i]))
                        return false;
                }
        return true;
    }

}